﻿using System.Collections.Generic;
using Kreta.Client.FileService.Configuration;
using Kreta.Client.FileService.Constant;

namespace Kreta.Client.FileService.Extension
{
    internal static class FileServiceClientConfigurationExtension
    {
        public static Dictionary<string, string> GetPublicTokenRequestParameters(this IFileServiceClientConfiguration fileServiceClientConfiguration)
        {
            return new Dictionary<string, string>
            {
                { TokenRequest.GrantType, GrantType.ClientCredentials },
                { TokenRequest.ClientId, fileServiceClientConfiguration.PublicClientId },
                { TokenRequest.ClientSecret, fileServiceClientConfiguration.PublicClientSecret },
                { TokenRequest.Scope, Scope.Public },
            };
        }

        public static Dictionary<string, string> GetPrivateTokenRequestParameters(this IFileServiceClientConfiguration fileServiceClientConfiguration)
        {
            return new Dictionary<string, string>
            {
                { TokenRequest.GrantType, GrantType.ClientCredentials },
                { TokenRequest.ClientId, fileServiceClientConfiguration.PrivateClientId },
                { TokenRequest.ClientSecret, fileServiceClientConfiguration.PrivateClientSecret },
                { TokenRequest.Scope, Scope.Private },
            };
        }
    }
}
