﻿using System;
using Kreta.Client.FileService.Constant;
using Newtonsoft.Json;

namespace Kreta.Client.FileService.Request
{
    public class FileDeleteRequest
    {
        public FileDeleteRequest(string utvonal, Guid fajlAzonosito)
        {
            if (string.IsNullOrWhiteSpace(utvonal))
            {
                throw new ArgumentNullException(nameof(utvonal));
            }

            if (fajlAzonosito == Guid.Empty)
            {
                throw new ArgumentException(nameof(fajlAzonosito));
            }

            Utvonal = utvonal;
            FajlAzonosito = fajlAzonosito;
        }

        [JsonProperty(PropertyName = "konyvtar")]
        public string Konyvtar => Folder.HaziFeladatok;

        [JsonProperty(PropertyName = "utvonal")]
        public string Utvonal { get; set; }

        [JsonProperty(PropertyName = "fajlAzonosito")]
        public Guid FajlAzonosito { get; set; }
    }
}
