﻿using System;
using Kreta.Client.FileService.Constant;

namespace Kreta.Client.FileService.Request
{
    public class GetUrlRequest
    {
        public GetUrlRequest(string utvonal, Guid fajlAzonosito, string fajlNev)
        {
            if (string.IsNullOrWhiteSpace(utvonal))
            {
                throw new ArgumentNullException(nameof(utvonal));
            }

            if (fajlAzonosito == Guid.Empty)
            {
                throw new ArgumentException(nameof(fajlAzonosito));
            }

            if (string.IsNullOrWhiteSpace(fajlNev))
            {
                throw new ArgumentNullException(nameof(fajlNev));
            }

            Utvonal = utvonal;
            FajlAzonosito = fajlAzonosito;
            FajlNev = fajlNev;
        }

        public string Konyvtar => Folder.HaziFeladatok;

        public string Utvonal { get; set; }

        public Guid FajlAzonosito { get; }

        public string FajlNev { get; }
    }
}
