﻿using System;
using Newtonsoft.Json;

namespace Kreta.Client.FileService.Response
{
    public class FileDeleteResponseV3 : IResponse
    {
        public FileDeleteResponseV3()
        {
        }

        public FileDeleteResponseV3(bool tryAgain)
        {
            TryAgain = tryAgain;
        }

        public FileDeleteResponseV3(string error)
        {
            if (string.IsNullOrWhiteSpace(error))
            {
                throw new ArgumentNullException(nameof(error));
            }

            Error = error;
            IsSuccess = false;
        }

        [JsonProperty("fajlId")]
        public Guid FileId { get; set; }

        [JsonProperty("sikeres")]
        public bool IsSuccess { get; set; }

        [JsonProperty("hibaUzenet")]
        public string ErrorMessage { get; set; }

        [JsonProperty("hiba")]
        public string Error { get; set; }

        public bool TryAgain { get; }
    }
}
