﻿using System;

namespace Kreta.Client.FileService.Response
{
    public class FileFinalizeResponse : IResponse
    {
        public FileFinalizeResponse()
        {
            IsSuccess = true;
        }

        public FileFinalizeResponse(bool tryAgain)
        {
            TryAgain = tryAgain;
        }

        public FileFinalizeResponse(string error)
        {
            if (string.IsNullOrWhiteSpace(error))
            {
                throw new ArgumentNullException(nameof(error));
            }

            Error = error;
        }

        public bool IsSuccess { get; }

        public string Error { get; }

        public bool TryAgain { get; }
    }
}
