﻿using System;
using System.Net;

namespace Kreta.Client.FileService.Response
{
    public class FileFinalizeResponseV3 : IResponse
    {

        public FileFinalizeResponseV3()
        {

        }

        public FileFinalizeResponseV3(bool tryAgain)
        {
            TryAgain = tryAgain;
        }

        public FileFinalizeResponseV3(string error)
        {
            if (string.IsNullOrWhiteSpace(error))
            {
                throw new ArgumentNullException(nameof(error));
            }

            Error = error;
        }

        public FileFinalizeResponseV3(Guid fajlId, bool isSuccess, string error, bool tryAgain, HttpStatusCode statusCode, string errorMessage, Exception exception) : this(isSuccess)
        {
            FajlAzonosito = fajlId;
            Error = error;
            TryAgain = tryAgain;
            StatusCode = statusCode;
            ErrorMessage = errorMessage;
            Exception = exception;
        }

        public Guid FajlAzonosito { get; }

        public bool IsSuccess { get; }

        public string Error { get; }

        public bool TryAgain { get; }
        public HttpStatusCode StatusCode { get; }
        public string ErrorMessage { get; }
        public Exception Exception { get; }
    }
}
