﻿using System;
using Newtonsoft.Json;

namespace Kreta.Client.FileService.Response
{
    public class GetFileResponse : IResponse
    {
        public GetFileResponse() { }

        public GetFileResponse(bool tryAgain)
        {
            TryAgain = tryAgain;
        }

        public GetFileResponse(string error)
        {
            if (string.IsNullOrWhiteSpace(error))
            {
                throw new ArgumentNullException(nameof(error));
            }

            Error = error;
        }

        public bool IsSuccess { get; private set; }

        [JsonProperty("fajlId")]
        public Guid FajlId { get; set; }

        [JsonProperty("tartalom")]
        public string Tartalom { get; set; }

        public string Error { get; }

        public bool TryAgain { get; }
    }
}
